### Function

# RB Player gst_try_audio_sink

#### Declaration [src]

    GstElement*
    rb_player_gst_try_audio_sink (
      const char* plugin_name,
      const char* name
    )

#### Description [src]

Creates and tests an instance of the specified audio sink.

#### Parameters

`plugin_name`

  Type: `const char*`

  Audio sink plugin name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const char*`

  Name to give to the element.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GstElement`

Element instance, or NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.